%define upstream_name    Regexp-Pattern-Perl
%define upstream_version 0.007

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Regexp patterns related to Perl modules
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Regexp/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildArch:  noarch

%description
the Regexp::Pattern manpage is a convention for organizing reusable regex
patterns.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Sep 28 2022 tv <tv> 0.7.0-1.mga9
+ Revision: 1893008
- update to 0.007

* Mon Mar 21 2022 umeabot <umeabot> 0.6.0-2.mga9
+ Revision: 1815856
- Mageia 9 Mass Rebuild

* Tue Dec 21 2021 tv <tv> 0.6.0-1.mga9
+ Revision: 1763120
- update to 0.006

* Sat Oct 03 2020 tv <tv> 0.4.0-1.mga8
+ Revision: 1631936
- update to 0.004

* Tue Jul 14 2020 tv <tv> 0.2.0-1.mga8
+ Revision: 1605994
- imported package perl-Regexp-Pattern-Perl

